Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410819 - Fixed associations for network_port and openstack network_port service models
Summary: Fixed associations for network_port and openstack network_port service models
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Peter McGowan
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1410798
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 15:02 UTC by Satoe Imaishi
Modified: 2017-02-27 19:17 UTC (History)
7 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1410798
Environment:
Last Closed: 2017-02-27 19:17:07 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 15:16:30 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/c11414edf0970b8a1e7628e1eb8448c72c7f3331

commit c11414edf0970b8a1e7628e1eb8448c72c7f3331
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Fri Nov 4 13:02:20 2016 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 10:13:51 2017 -0500

    Merge pull request #12160 from pemcg/fix_network_port_service_model
    
    Fixed associations for network_port and openstack network_port servic…
    (cherry picked from commit 32ef821f05a3020e3d021e1169ed87e0b3f530c6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410819

 ...rvice_manageiq-providers-openstack-network_manager-network_port.rb | 1 -
 .../service_models/miq_ae_service_network_port.rb                     | 1 -
 .../service_methods/miq_ae_service_network_port_spec.rb               | 4 ++--
 3 files changed, 2 insertions(+), 4 deletions(-)

Comment 4 Milan Falešník 2017-02-16 10:40:28 UTC
Verified in 5.7.1.2.

> provider = $evm.vmdb(:ExtManagementSystem).all.first
> provider.network_manager.network_ports.first.associations
> => ["cloud_subnets", "cloud_tenant", "device", "ext_management_system", "network_routers", "public_networks"]
> provider.network_manager.network_ports.first.cloud_subnets
> => [#<MiqAeServiceManageIQ_Providers_Openstack_NetworkManager_CloudSubnet:0x62b71e4 .........> ]

Comment 5 errata-xmlrpc 2017-02-27 19:17:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.